GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products2609170000Product list paging query
# 01
Summary
Product list paging query
# 02
Details
Available buyer market: Korea, Taiwan
Paging-query a list of products.
Path
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products
Example endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products?vendorId={vendorId}&nextToken={nextToken}&maxPerPage={maxPerSize}&sellerProductId={sellerProductId}&sellerProductName={sellerProductName}&status={status}&manufacture={manufacture}&createdAt={createdAt}&violationTypes=ATTR&violationTypes=MOTA_V2&violationTypeAndOr=ORURL API Name
GET_PRODUCTS_BY_QUERY
# 03
Query parameters
| Name | Type | Description | ||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| vendorId* | string | Seller ID Unique code issued to Vendor by Coupang ex) A00012345 | ||||||||||||||||
| nextToken | number | Page Key value to call the next page. Not needed, or enter 1, to call the 1st page | ||||||||||||||||
| maxPerPage | number | results per pageDefault: 10, Max.:100 | ||||||||||||||||
| sellerProductId | number | Listed Product ID
| ||||||||||||||||
| sellerProductName | string | Listed Product Name Search for listed product name. 20 characters or less | ||||||||||||||||
| status | string | Vendor product status
| ||||||||||||||||
| manufacture | string | Manufacturer
| ||||||||||||||||
| createdAt | string | Date/time of product listing "yyyy-MM-dd" Ex) Type in "2015-12-17" to query 2015-12-17T00:00:00 ~ 2015-12-17T23:59:59 | ||||||||||||||||
| ViolationTypeSearchField | array | NO_VA_V2: Products needed to be verified (suppressed) MOTA_V2: Products missing mandatory option values (suppressed) ATTR: Products with invalid attributes (low impression) | ||||||||||||||||
| ViolationTypeAndOr | string | This field is mandatory when input more than 2 param in "ViolationTypeSearchField" field Values:
|
# 04
Response body
Response message
| Name | Type | Description | ||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | string | Result code SUCCESS/ERROR | ||||||||||||||||||||||||||||||||
| message | string | Result message
| ||||||||||||||||||||||||||||||||
| nextToken | string | Next page Null string if the next page is unavailable | ||||||||||||||||||||||||||||||||
| data | object[] | |||||||||||||||||||||||||||||||||
| sellerProductId data[].sellerProductId | integer | Listed Product ID
| ||||||||||||||||||||||||||||||||
| sellerProductName data[].sellerProductName | string | Listed Product Name
| ||||||||||||||||||||||||||||||||
| displayCategoryCode data[].displayCategoryCode | integer | Display Category Code
| ||||||||||||||||||||||||||||||||
| categoryId data[].categoryId | integer | Category ID
| ||||||||||||||||||||||||||||||||
| productId data[].productId | integer | ProductID
| ||||||||||||||||||||||||||||||||
| vendorId data[].vendorId | string | Seller ID
| ||||||||||||||||||||||||||||||||
| saleStartedAt data[].saleStartedAt | string | Date/time of starting selling "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||||||||||||||
| saleEndedAt data[].saleEndedAt | string | Date/time of stopping selling "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||||||||||||||
| brand data[].brand | string | Brand
| ||||||||||||||||||||||||||||||||
| statusName data[].statusName | string | Listed product status
| ||||||||||||||||||||||||||||||||
| createdAt data[].createdAt | string | Date/time of product listing "yyyy-MM-ddTHH:mm:ss" |
Response Example
{
"code": "SUCCESS",
"message": "",
"nextToken": "2",
"data": [
{
"sellerProductId": 239092172,
"sellerProductName": "R07 헬로키티 미니낚시놀이",
"displayCategoryCode": 77413,
"categoryId": 2102,
"productId": 14784194,
"vendorId": "XXXXXXXX",
"mdId": "harry867@",
"mdName": null,
"saleStartedAt": "2017-02-14T06:00:00",
"saleEndedAt": "2099-12-31T00:00:00",
"brand": "상세설명별도참조",
"statusName": "승인완료",
"createdAt": "2017-02-13T02:09:47"
},
{
"sellerProductId": 239092161,
"sellerProductName": "R07 러닝리소스 손가락 지시봉 (10개 세트) (LER2657) - 러닝리소스 지시봉 손가락 포인터 장난감",
"displayCategoryCode": 77413,
"categoryId": 2102,
"productId": 14784126,
"vendorId": "XXXXXXXX",
"mdId": "harry867@",
"mdName": null,
"saleStartedAt": "2017-02-14T06:00:00",
"saleEndedAt": "2099-12-31T00:00:00",
"brand": "상세설명별도참조",
"statusName": "승인완료",
"createdAt": "2017-02-13T02:09:46"
}
]
}# 05
Error codes
| HTTP | Code | Message |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
Error specification
| HTTP | Type | Error message | Solution |
|---|---|---|---|
| 400 | 400 (check request parameter) | Vendor code must be entered. | Check if the seller ID (vendorId) is correct. |
| 400 | 400 (check request parameter) | Format of createdAt is | Check the format of product listing date/time (createdAt): It must be "yyyy-MM-dd." |